// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

 		
//		Statistics for Dynamic Networks - Header
//		Chris Briglio



//    Program Hub Header
//    Allow access to seperate source files


#pragma once

#include "targetver.h"

#include <iostream>

#include <utility>

#include <string>

#include <math.h>

#include <fstream>

#include <algorithm>

#include <iomanip>

#include <sstream>

#include <windows.h>

#include <regex>

#include <stdio.h>

#include <stdlib.h>

#include "boost/algorithm/string/case_conv.hpp"

 //------------------------------------------------------------------------------GLOBAL VARIABLES-------------------------------------------------------------------------------------//

 //-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------//

extern int num_nodes;

extern int txt_index;

int const max_amount =  9999; 

extern std::string infilename;

extern std::string outfilename;

extern std::string filetype;

extern std::string exitmask;

extern std::string inputmode;

extern std::string folderPath;

extern std::string temp;

extern std::string extension;

extern std::ofstream output_file;


 //------------------------------------------------------------------------------GLOBAL FUNCTION HEADERS-------------------------------------------------------------------------------------//

 //-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------//

double sqr(double value);

int LocationGenerator(bool run, double trans_range, double ref_rate, std::string mode, double run_time, int axisX, int axisY);

bool checkEXT(std::string& s);

int DynamicStatistics(double run_time,bool run,bool graphViz, int graph_time);

int StatisticsSummary(std::string sequence, double runtime);

int SpreadsheetCreator(std::string sequence);

int SpreadsheetCreator_STATIC(std::string sequence);

bool dirExists(const std::string& dirName_in);

void create_folder(std::string path_temp);

bool fileExists(const std::string& filename);

int StaticStatistics(int range, bool graphViz, bool singleFile);

int StatisticsSummary_STATIC(std::string sequence);
